Package Details: mitmproxy-git 5.0.0.dev.7f464b8-1

Git Clone URL: https://aur.archlinux.org/mitmproxy-git.git (read-only)
Package Base: mitmproxy-git
Description: An interactive TLS-capable intercepting HTTP proxy.
Upstream URL: https://mitmproxy.org/
Licenses: MIT
Conflicts: mitmproxy
Provides: mitmproxy
Submitter: alphazo
Maintainer: navigaid
Last Packager: FFY00
Votes: 21
Popularity: 0.000234
First Submitted: 2011-05-24 17:23
Last Updated: 2018-07-18 17:51

Latest Comments

1 2 3 4 Next › Last »

Cyber_STX commented on 2019-02-01 07:03

Hi,

Installation fails during testing with a LOTS of errors.

Cheers.

Cyber_STX commented on 2018-07-24 04:09

Hi,

Unfortunately, it still fails, with the exact same error I posted on pastebin. I don't understand why. Using makepkg -cris.

EDIT: I managed to install it by:

  1. Installing python-protobuf
  2. In the PKGBUILD check() function:
  3. replace cd "$srcdir"/$_pkgname by cd "$srcdir"/$_pkgname/test/mitmproxy/addons
  4. replace "python setup.py pytest" by pytest -v

But after this, I got those errors when trying to launch it:

Traceback (most recent call last): File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 570, in _build_master ws.require(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 888, in require needed = self.resolve(parse_requirements(requirements)) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 779, in resolve raise VersionConflict(dist, req).with_context(dependent_req) pkg_resources.ContextualVersionConflict: (protobuf 3.5.2 (/usr/lib/python3.6/site-packages), Requirement.parse('protobuf>=3.6.0'), {'mitmproxy'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/bin/mitmproxy", line 6, in <module> from pkg_resources import load_entry_point File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3095, in <module> @_call_aside File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3079, in _call_aside f(args, *kwargs) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 3108, in _initialize_master_working_set working_set = WorkingSet._build_master() File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 572, in _build_master return cls._build_from_requirements(requires) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 585, in _build_from_requirements dists = ws.resolve(reqs, Environment()) File "/usr/lib/python3.6/site-packages/pkg_resources/init.py", line 774, in resolve raise DistributionNotFound(req, requirers) pkg_resources.DistributionNotFound: The 'protobuf>=3.6.0' distribution was not found and is required by mitmproxy </module></module>

FFY00 commented on 2018-07-18 17:52

Tests should be running fine now.

Cyber_STX commented on 2018-07-18 09:44

I cannot install this package. It fails during the check() with numerous errors.

https://pastebin.com/raw/FcAa5L1D

burningserenity commented on 2018-06-19 14:37

I had to add some more dependencies:

brotlipy
certifi
h2
hyperframe
kaitaistruct
ldap3

I also had to change the python2 dependencies to their python3 versions, and change the version of Python used to install to python3.

dbalan commented on 2018-01-29 14:49

This seems to be broken on my machine. Am I doing something wrong?

Traceback (most recent call last):
  File "/usr/bin/mitmproxy", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3147, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3131, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 3160, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 666, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 984, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 870, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'wsproto<0.12.0,>=0.11.0' distribution was not found and is required by mitmproxy

nartes commented on 2015-04-06 21:42

sorry, but i also changed dependency to python2-netlib instead git version

alphazo commented on 2015-04-06 21:05

Thanks @nartes for the fix.

nartes commented on 2015-04-06 20:56

added two dependencies pyperclip and blinker

# Contributor: alphazo <alphazo@gmail.com>

_gitname="mitmproxy"
pkgname=mitmproxy-git
pkgver=v0.11.3.r289.g0d6de19
pkgrel=1
pkgdesc="mitmproxy is an SSL-capable, intercepting HTTP proxy. It provides a console interface that allows traffic flows to be inspected and edited on the fly."
arch=('any')
url="https://github.com/mitmproxy/mitmproxy"
license=('GPL')
depends=('openssl' 'python2-urwid' 'python2-netlib>=0.11.2' 'python2-pyopenssl' 'python2-pyasn1' 'python2-imaging' 'python2-lxml' 'python2-flask' 'python2-requests' 'python2-passlib' 'python2-configargparse' 'python2-tornado' 'python2-blinker>=1.3' 'python2-pyperclip>=1.5.8')
conflicts=('mitmproxy')
source=("git://github.com/mitmproxy/mitmproxy.git")
sha1sums=('SKIP')

pkgver() {
cd "$_gitname"

git describe --tags | sed -E 's/([^-]*-g)/r\1/;s/-/./g'
}

package() {
cd "$_gitname"
python2 setup.py install --root=${pkgdir} || return 1
}

nartes commented on 2015-04-03 05:37

Couldn't build package, git clone doesn't respond. But git clone by hand caused not working build, while running raised python. Could somebody accept succefull build of this package, tx.